Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.exceptions
Class ConfigParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.openxri.exceptions.ConfigException
                  org.openxri.exceptions.ConfigParseException

All Implemented Interfaces:
  java.io.Serializable

    public class ConfigParseException

extends ConfigException

See Also:
  Serialized Form

Constructor Summary
`ConfigParseException()`
`ConfigParseException(int line, java.lang.String message)`
`ConfigParseException(int line, java.lang.String message, java.lang.Throwable ex)`
`ConfigParseException(java.lang.String message)`
`ConfigParseException(java.lang.String message, java.lang.Throwable ex)`
`ConfigParseException(java.lang.Throwable ex)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigParseException

    public ConfigParseException()

### ConfigParseException

    public ConfigParseException(java.lang.String message)

### ConfigParseException

    public ConfigParseException(java.lang.Throwable ex)

### ConfigParseException

    public ConfigParseException(java.lang.String message,
                                java.lang.Throwable ex)

### ConfigParseException

    public ConfigParseException(int line,
                                java.lang.String message)

### ConfigParseException

    public ConfigParseException(int line,
                                java.lang.String message,
                                java.lang.Throwable ex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.